---------------------------------------------------------------------------
-- DEMO : ThinkHighlight (https://www.interactivethoughts.com/products/thinkhighlight/)
-- Dmo DATAFROGS 2023
-- https://blog.datafly.pro
---------------------------------------------------------------------------
USE Books
GO

DECLARE @query NVARCHAR(50) = N'"Beaumagnan"';
DECLARE @context VARBINARY(8000) = dbo.HitHighlightContext('Books2', 'DOCUMENT', @query, -1);
SELECT ID
     , B.NAME
     , dbo.HitHighlight(@context, 'top-fragment', 200, ID) AS Highlight
     , dbo.HitHighlightEx(@context, 'top-fragment', 200, ID) AS HighlightEx
FROM Books2 B
WHERE CONTAINS(DOCUMENT, @query);
GO

DECLARE @query NVARCHAR(50) = N'"Beaumagnan"';
DECLARE @context VARBINARY(8000) = dbo.HitHighlightContext('Books2', 'DOCUMENT', @query, -1);
SELECT ID
     , B.NAME 
     , Prop.name AS PropertyName, Prop.value AS PropertyValue
FROM Books2 B
    CROSS APPLY DocumentProperties(@context, ID) Prop
WHERE CONTAINS(DOCUMENT, @query);